<?php

interface Uploader {
    /**
     * @return bool
     */
    public function uploadFile($fFile, $blnUseFilePrefix = true,$setFileName = null);

    /**
     * @return boolean
     */
    public function deleteTempFile();
    
    public function getFileLocation();
}